# Uses of Class
java.awt.event.ItemEvent

Packages that use ItemEvent
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of ItemEvent in java.awt

Methods in java.awt with parameters of type ItemEvent
Modifier and Type
Method
Description
`void`
AWTEventMulticaster.`itemStateChanged(ItemEvent e)`
Handles the itemStateChanged event by invoking the itemStateChanged methods on listener-a and listener-b.
`void`
Checkbox.AccessibleAWTCheckbox.`itemStateChanged(ItemEvent e)`
Fire accessible property change events when the state of the toggle button changes.
`void`
List.AccessibleAWTList.`itemStateChanged(ItemEvent event)`
`protected void`
Checkbox.`processItemEvent(ItemEvent e)`
Processes item events occurring on this check box by dispatching them to any registered `ItemListener` objects.
`protected void`
CheckboxMenuItem.`processItemEvent(ItemEvent e)`
Processes item events occurring on this check box menu item by dispatching them to any registered `ItemListener` objects.
`protected void`
Choice.`processItemEvent(ItemEvent e)`
Processes item events occurring on this `Choice` menu by dispatching them to any registered `ItemListener` objects.
`protected void`
List.`processItemEvent(ItemEvent e)`
Processes item events occurring on this list by dispatching them to any registered `ItemListener` objects.

## Uses of ItemEvent in java.awt.event

Methods in java.awt.event with parameters of type ItemEvent
Modifier and Type
Method
Description
`void`
ItemListener.`itemStateChanged(ItemEvent e)`
Invoked when an item has been selected or deselected by the user.

## Uses of ItemEvent in javax.swing

Methods in javax.swing with parameters of type ItemEvent
Modifier and Type
Method
Description
`protected void`
AbstractButton.`fireItemStateChanged(ItemEvent event)`
Notifies all listeners that have registered interest for notification on this event type.
`protected void`
DefaultButtonModel.`fireItemStateChanged(ItemEvent e)`
Notifies all listeners that have registered interest for notification on this event type.
`protected void`
JComboBox.`fireItemStateChanged(ItemEvent e)`
Notifies all listeners that have registered interest for notification on this event type.
`void`
DefaultCellEditor.EditorDelegate.`itemStateChanged(ItemEvent e)`
When an item's state changes, editing is ended.
`void`
JToggleButton.AccessibleJToggleButton.`itemStateChanged(ItemEvent e)`
Fire accessible property change events when the state of the toggle button changes.

## Uses of ItemEvent in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic with parameters of type ItemEvent
Modifier and Type
Method
Description
`void`
BasicComboBoxUI.ItemHandler.`itemStateChanged(ItemEvent e)`
`void`
BasicComboPopup.ItemHandler.`itemStateChanged(ItemEvent e)`